Bug 1461283 - [abrt] kamoso: QByteArray::QByteArray(): kamoso killed by signal 11
Summary: [abrt] kamoso: QByteArray::QByteArray(): kamoso killed by signal 11
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kamoso
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: nucleo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3a8f93955210f67927af41c9be1...
: 1492209 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-14 06:39 UTC by Mustafa Muhammad
Modified: 2018-05-29 11:34 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:34:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (27.63 KB, text/plain)
2017-06-14 06:39 UTC, Mustafa Muhammad
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-14 06:39 UTC, Mustafa Muhammad
no flags Details
File: core_backtrace (14.96 KB, text/plain)
2017-06-14 06:39 UTC, Mustafa Muhammad
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2017-06-14 06:39 UTC, Mustafa Muhammad
no flags Details
File: dso_list (22.13 KB, text/plain)
2017-06-14 06:39 UTC, Mustafa Muhammad
no flags Details
File: environ (1.55 KB, text/plain)
2017-06-14 06:39 UTC, Mustafa Muhammad
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-14 06:39 UTC, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-14 06:40 UTC, Mustafa Muhammad
no flags Details
File: maps (100.12 KB, text/plain)
2017-06-14 06:40 UTC, Mustafa Muhammad
no flags Details
File: open_fds (1.56 KB, text/plain)
2017-06-14 06:40 UTC, Mustafa Muhammad
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-06-14 06:40 UTC, Mustafa Muhammad
no flags Details
File: var_log_messages (1.06 KB, text/plain)
2017-06-14 06:40 UTC, Mustafa Muhammad
no flags Details
File: backtrace (45.13 KB, text/plain)
2017-07-06 12:25 UTC, Kamil Páral
no flags Details

Description Mustafa Muhammad 2017-06-14 06:39:40 UTC
Description of problem:
Just booted F26 beta, in the live session, I tried to open Kamoso and it crashed, after installation, I booted into the installed system, and it crashed too.

Version-Release number of selected component:
kamoso-3.2.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/kamoso -qwindowtitle Kamoso
crash_function: QByteArray::QByteArray
executable:     /usr/bin/kamoso
journald_cursor: s=eaa04589e6304d3480759ba488468e82;i=7f8;b=5c4252deefd541d783cd91c4097981c9;m=2d8f736;t=551e4f9791458;x=10e749419c3488db
kernel:         4.11.0-2.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 QByteArray::QByteArray at /usr/include/qt5/QtCore/qbytearray.h:504
 #1 Device::path at /usr/src/debug/kamoso-3.2.2/src/device.cpp:41
 #2 WebcamControl::play at /usr/src/debug/kamoso-3.2.2/src/video/webcamcontrol.cpp:123

Comment 1 Mustafa Muhammad 2017-06-14 06:39:46 UTC
Created attachment 1287534 [details]
File: backtrace

Comment 2 Mustafa Muhammad 2017-06-14 06:39:48 UTC
Created attachment 1287535 [details]
File: cgroup

Comment 3 Mustafa Muhammad 2017-06-14 06:39:50 UTC
Created attachment 1287536 [details]
File: core_backtrace

Comment 4 Mustafa Muhammad 2017-06-14 06:39:52 UTC
Created attachment 1287537 [details]
File: cpuinfo

Comment 5 Mustafa Muhammad 2017-06-14 06:39:54 UTC
Created attachment 1287538 [details]
File: dso_list

Comment 6 Mustafa Muhammad 2017-06-14 06:39:56 UTC
Created attachment 1287539 [details]
File: environ

Comment 7 Mustafa Muhammad 2017-06-14 06:39:58 UTC
Created attachment 1287540 [details]
File: exploitable

Comment 8 Mustafa Muhammad 2017-06-14 06:40:00 UTC
Created attachment 1287541 [details]
File: limits

Comment 9 Mustafa Muhammad 2017-06-14 06:40:03 UTC
Created attachment 1287542 [details]
File: maps

Comment 10 Mustafa Muhammad 2017-06-14 06:40:04 UTC
Created attachment 1287543 [details]
File: open_fds

Comment 11 Mustafa Muhammad 2017-06-14 06:40:06 UTC
Created attachment 1287544 [details]
File: proc_pid_status

Comment 12 Mustafa Muhammad 2017-06-14 06:40:08 UTC
Created attachment 1287545 [details]
File: var_log_messages

Comment 13 Kamil Páral 2017-07-06 12:25:49 UTC
Similar problem has been detected:

Simply tried to start (in a VM, but also tested on bare metal with no camera).

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/kamoso -qwindowtitle Kamoso
crash_function: QByteArray::QByteArray
executable:     /usr/bin/kamoso
journald_cursor: s=ff914751c6c341acaaf6324ac3b70b54;i=6a8;b=7679851f596b46668e8df4e21b052200;m=37bdfaa;t=553a5206ff942;x=7fe80d0c28f46b9b
kernel:         4.11.8-300.fc26.x86_64
package:        kamoso-3.2.2-1.fc26
reason:         kamoso killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Kamil Páral 2017-07-06 12:25:53 UTC
Created attachment 1294928 [details]
File: backtrace

Comment 15 Kamil Páral 2017-07-06 12:31:21 UTC
Seems to be a blocker:
"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test. "
https://fedoraproject.org/wiki/Fedora_26_Final_Release_Criteria#Default_application_functionality

Comment 16 Matthew Miller 2017-07-06 15:12:34 UTC
-1 to blocker for time-related reasons. It seems like this bug has been open for a while without response, along with similar crashes dating back to at least last year and F24. We shouldn't block on things that are only getting this level of maintenance.

Comment 17 Jaroslav Reznik 2017-07-06 15:39:04 UTC
-1 to blocker, one can argue that camera is needed for a basic functionality and while it's true Kamoso should bail out in a nicer way when there's no required HW, this can be fixed in update.

Comment 18 Kamil Páral 2017-07-06 15:47:39 UTC
I can confirm kamoso doesn't crash when I run in on hardware with a camera present.

Comment 19 Adam Williamson 2017-07-06 16:10:03 UTC
I'm -1 as it's kinda absurd to talk about 'basic functionality' of a camera app if you don't have a camera. Displaying a nice 'you have no camera' dialog would be neat, but doesn't seem blocker-worthy.

Comment 20 Adam Williamson 2017-07-06 20:45:59 UTC
Discussed at 2017-07-06 Fedora 26 Final Go/No-Go meeting, acting as a blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-meeting-2/2017-07-06/f26_final_gono-go_meeting.2017-07-06-17.00.html . Rejected as a blocker along the lines discussed above: this isn't really a 'basic functionality' failure as a camera app can't be said to *have* any 'basic functionality' if you don't have a camera. OK, it's a conditional violation of 'start successfully' in the case of not having a camera, but we didn't really think that was serious enough to block on. Of course, it is still a bug, the app should do something more graceful than just crashing in this case.

Comment 21 Kamil Páral 2017-07-10 15:39:08 UTC
Thinking about this, this is not important enough to have it displayed in common bugs. It will work for people with camera, and people without camera don't need it.

Comment 22 a.thiaville 2017-08-05 06:12:36 UTC
Similar problem has been detected:

launching kamoso

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/kamoso -qwindowtitle Kamoso
crash_function: QByteArray::QByteArray
executable:     /usr/bin/kamoso
journald_cursor: s=928a62ee230c4476b647df572000d001;i=1d2c8;b=0e501ae2a1f640e5831cb869083d2633;m=3c7d40674b;t=555fb54def07b;x=9b97227592ffca61
kernel:         4.11.11-300.fc26.x86_64
package:        kamoso-3.2.2-1.fc26
reason:         kamoso killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 23 Michael Messaggi 2017-09-15 19:25:20 UTC
*** Bug 1492209 has been marked as a duplicate of this bug. ***

Comment 24 Aga Ma 2017-10-05 09:06:29 UTC
Similar problem has been detected:

Nothing special. First run on Fedora fresh install.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/kamoso -qwindowtitle Kamoso
crash_function: QByteArray::QByteArray
executable:     /usr/bin/kamoso
journald_cursor: s=2d3c2d16bbda4c0bbd3c33a1fa23b359;i=4320;b=871c95b0809b44c4affa55575b22d17a;m=68cfda9;t=55ac8c85ae425;x=79422888860c6f5a
kernel:         4.13.4-200.fc26.x86_64
package:        kamoso-3.2.2-1.fc26
reason:         kamoso killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Fedora End Of Life 2018-05-03 08:15:04 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 26 Fedora End Of Life 2018-05-29 11:34:55 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.